/**
 * Line path for bezier and straight line draw
 */
import * as graphic from '../../util/graphic.js';
import { PathProps } from 'tvrender/lib/graphic/Path.js';
import PathProxy from "tvrender/lib/core/PathProxy.js";
declare class BarPlotShape {
    points: (number | number[])[];
    baseY: number;
    width: number;
    isWebviewRender?: boolean;
    fill?: string;
}
interface BarPlotProps extends PathProps {
    shape: BarPlotShape;
}
declare class BarPlotPath extends graphic.Path<BarPlotProps> {
    type: string;
    shape: BarPlotShape;
    constructor(opts?: BarPlotProps);
    getDefaultStyle(): {
        stroke: string;
        fill: string;
    };
    getDefaultShape(): BarPlotShape;
    buildPath(ctx: PathProxy, shape: BarPlotShape): void;
}
export default BarPlotPath;
